package smart_gs.drawing_tool.action;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import smart_gs.drawing_tool.view.BookmarkView;
import smart_gs.drawing_tool.view.View;
import smart_gs.logical.Region;
import smart_gs.swingui.WorkspaceWindow;

public class BookmarkChangeColorAction implements ActionListener {

	private View view;
	private String color;
	
	public BookmarkChangeColorAction(Region region, String colorPath) {
		this.view = region.getView();
		this.color = colorPath;
	}
	@Override
	public void actionPerformed(ActionEvent arg0) {
		((BookmarkView)this.view).setColorPath(color);
		WorkspaceWindow.getInstance().repaint();
	}

}
